<?php

namespace Drupal\podcast_publisher;

use Drupal\file\FileInterface;

interface PodcastAudioServiceInterface {

  /**
   * Gets the duration of a given audio file.
   *
   * @param \Drupal\file\FileInterface $file
   *   The audio file.
   *
   * @return string
   *   The duration string.
   */
  public function getDuration(FileInterface $file);

}
